#
# spec file for package libmal
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libmal
Version:        0.44.1
Release:        11.1
Summary:        Palm Sync Library
License:        MPL-1.0
Group:          Development/Libraries/C and C++
Url:            http://www.jlogday.com/code/libmal/
Source:         http://www.jlogday.com/code/libmal/%{name}-%{version}.tar.gz
Patch0:         libmal.diff
BuildRequires:  libpisock-devel
BuildRequires:  libtool
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libmal is a convenience library of the object files contained in Tom
Whittaker's malsync distribution. It also includes a few wrapper
functions.

%package -n libmal1
Summary:        Palm Sync Library
Group:          Development/Libraries/C and C++
Provides:       libmal = 0.31
Obsoletes:      libmal <= %{version}

%description -n libmal1
libmal is a convenient library made up of the object files contained in
Tom Whittaker's malsync distribution. libmal also contains a few
wrapper functions.

%package devel
Summary:        Palm Sync Library
Group:          Development/Libraries/C and C++
Requires:       libmal1 = %{version}
Requires:       libpisock-devel

%description devel
libmal is a convenient library made up of the object files contained in
Tom Whittaker's malsync distribution. libmal also contains a few
wrapper functions.

%prep
%setup -q
%patch0

libtoolize --force
autoreconf --install --force

%build
%configure --disable-static
make CFLAGS="$RPM_OPT_FLAGS"

%install
make DESTDIR=%{buildroot} install

rm -f %{buildroot}%{_libdir}/libmal.la

%post -n libmal1 -p /sbin/ldconfig

%postun -n libmal1 -p /sbin/ldconfig

%files -n libmal1
%defattr(-,root,root)
%doc ChangeLog MPL-1_0.txt README
%{_bindir}/malsync
%{_libdir}/libmal.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/libmal
%{_libdir}/libmal.so

%changelog
* Tue May 13 2014 schwab@suse.de
- Build with RPM_OPT_FLAGS
* Mon Nov 26 2012 cfarrell@suse.com
- license update: MPL-1.0
  See COPYING
* Tue Nov 20 2012 cgiboudeaux@gmx.com
- Spec cleanup
- Update to 0.44.1
  * Updated email address and web site address.
    + Version 0.44
  * Removed the -module argument from libmal_la_LDFLAGS. It never should
    have been there; it was accidentally included from a copy/paste.
    + Version 0.42
  * Misc fixes to malsync sources. See malsync/ChangeLog for details.
    + Version 0.41
  * Added support for pilot-link 0.12.x
  * Updated automake files
    + Version 0.40
  * Major overhaul of libmal. This version is not source- or binary-
    compatible with previous versions.
  * Use malsync 2.2.0 source
  * Removed the printstatus and printerror hac^H^Hooks
  * Removed the setXXX methods for proxy/SOCKS settings
  * Moved all global variables into PalmSyncInfo struct
  * Removed the .sub stuff, it doesn't seem to be used any more
  * Added two function pointers to PalmSyncInfo, taskFunc and itemFunc.
    These pointers are callbacks called by malsync at different stages of
    the sync.
  * Added a new malsync.c that relies on libmal
* Tue Nov 20 2012 nico.kruber@gmail.com
- Fix the SLES build (%%make_install is not expanded on SLES)
* Sat Nov 19 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Sun Aug  7 2011 toddrme2178@gmail.com
- Fixed usage of ldconfig (fix for RPMLINT warning)
- Switched hard-coded paths and commands to macros
- Removed the contents of the %%changelog section
  These were already in the .changes file
* Mon Aug 28 2006 dgollub@suse.de
- reenabled libmal-pilot-link-0.12.0-api.diff
* Wed Mar 29 2006 dgollub@suse.de
- splitted libmal.diff <-> libmal-pilot-link-0.12.0-api.diff
- removed pilot-link 0.12.0 API patch from spec file.
  downgrade to pilot-link version 0.11.8 - see #161722
* Wed Mar  1 2006 dmueller@suse.de
- fix stackbased buffer overflow (#151310)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Aug  6 2005 adrian@suse.de
- fix build with pilot-link 0.12pre4
* Sat Mar 20 2004 adrian@suse.de
- fix build, add resmgr to neededforbuild
* Sat May  3 2003 adrian@suse.de
- initial package of version 0.31
